WiX 3.10 compatibility

Sep 8, 2015 at 10:56 AM
Hi Neal,

The Extended Bootstrapper application is still of great use for us. It serves our need for 2 configurable install directories perfectly. Thank you very much for this great effort.

We keep our software and installer as up-to-date as possible, so now it's time to add Windows 10 support (supportedOS in manifest file). This means that also the bootstrapper application needs Windows 10 as a supportedOS, which brings us to WiX 3.10.

Could you please upload a rebuild with WiX 3.10, as you also did for WiX 3.9, so everybody can enjoy the latest WiX release support?

Thanks in advance.

Kind regards,

Nick
Sep 8, 2015 at 4:23 PM
Hi,

I tried to compile my bootstrapper today with Wix 3.10 and It doesn't work : the package are not installed, but only cached. I made 2 log files :
  • Wix 3.9 : i200: Plan begin, 10 packages, action: Install
  • Wix 3.10 : i200: Plan begin, 10 packages, action: Cache
Could you please rebuild a version compatible with Wix 3.10, please?

Thank you very much for all your work !

Regards,
Loïc
Coordinator
Sep 8, 2015 at 4:38 PM
I will endeavour to get an updated release in the next couple of weeks. I haven't tried 3.10 recently so am not too sure of the work involved.

Neil
Sep 10, 2015 at 12:31 AM
Hi Neal,

We just upgraded to vs2015 and wix 3.10 and am seeing the Cache issue as well. An update for 3.10 would be greatly appreciated.

Thank you

Barry
Coordinator
Sep 14, 2015 at 11:11 PM
There is a beta available if you would like to try it. Please report any issues here.
Sep 14, 2015 at 11:13 PM

thanks

Sep 15, 2015 at 9:42 AM
Hi Neil,

I just did a quick test with WiX 3.10 and the Extended Bootstrapper BETA. (installation on Windows 10)
Seems to work like a charm.

Are there specific points of attention after the changes you made?
Should we be aware of any particular kind of problems?

Thank you for you fast response, as always.

Kind regards,

Nick
Coordinator
Sep 15, 2015 at 4:58 PM
Edited Sep 15, 2015 at 5:01 PM
The interface to the WiX code had changed so I made changes to align with that and implement the new 3.10 features (e.g. cache only and show in-use) but no other changes were required.
Apr 19, 2016 at 9:27 PM
Hi Neil,

Apparently there has been a vulnerability in WIX bundles in January.
The release that mitigates this is WIX 3.10 R2.

Could you please update the extended bootstrapper for this release?
I would be very grateful.

Kind regards,

Nick
Coordinator
May 2, 2016 at 11:03 AM
I have just reviewed the extension code and there aren't any significant changes for 3.10.